<?php

namespace Treewec;

/**
 * Test class for URLArgs.
 * Generated by PHPUnit on 2012-03-25 at 16:35:54.
 * @group url
 */
class URLArgsTest extends \PHPUnit_Framework_TestCase {

    public function testCreateFromArrayHolder() {
        parent::assertInstanceOf('\Treewec\URLArgs', URLArgs::createFromArrayHolder(new Holders\ArrayHolder(array())));
        $this->assertException(array());
        
        $args = array('path' => 1, 'admin' => 'home');
        $urlArgs = URLArgs::createFromArrayHolder(new Holders\ArrayHolder($args));
        foreach ($args as $key => $value) {
            if (property_exists('\Treewec\URLArgs', $key)) {
                parent::assertEquals($value, $urlArgs->$key);
            } else {
                parent::assertEquals(null, $urlArgs->$key);
            }
        }
    }
    
    private function assertException($argument) {
        $excHelper = new ExceptionHelper();
        $excHelper->catchExceptionInCallback(
                '\Treewec\Exceptions\InstanceException', 
                array('\Treewec\URLArgs', 'createFromArrayHolder'), 
                $argument
        );
    }

}

?>
